## Apache Zeta Components Manual :: Docs For Class ezcPersistentObjectException

### PersistentObject::ezcPersistentObjectException

### Class ezcPersistentObjectException

General exception class for the PersistentObject package.

All exceptions in the persistent object package are derived from this exception.

Source for this file: /PersistentObject/src/exceptions/persistent_object_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcPersistentObjectException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcPersistentIdentityMissingException | Exception thrown if an identity is expected to be recorded, but is not found.
ezcPersistentDefinitionMissingIdPropertyException | Exception thrown, if an object of ezcPersistentObjectDefinition has no idProperty attribute.
ezcPersistentIdentityAlreadyExistsException | Exception thrown if an identity is duplicated.
ezcPersistentIdentityRelatedObjectsInconsistentException | Exception thrown if a set of related objects is inconsistent.
ezcPersistentRelationNotFoundException | Exception thrown, if a desired relation between 2 classes was not found.
ezcPersistentUndeterministicRelationException | Exception thrown, if an operation on a multi-relation class missed the relation name.
ezcPersistentObjectNotPersistentException | Exception thrown when a method that requires a persistent object is provided an object not yet persistent.
ezcPersistentIdentityRelatedObjectAlreadyExistsException | Exception thrown if a related objects is added twice to a set of related objects.
ezcPersistentSessionNotFoundException | This exceptions is used when a database handler could not be found.
ezcPersistentIdentifierGenerationException | Exception thrown when generating an ID for a persistent object failed.
ezcPersistentRelationInvalidException | Exception thrown, if the class of a relation definition was invalid.
ezcPersistentInvalidObjectStateException | Exception thrown if the result of $object->getState() is invalid.
ezcPersistentRelatedObjectNotFoundException | Exception thrown, if the given relation class could not be found.
ezcPersistentObjectAlreadyPersistentException | Exception thrown when a method that requires a non-persistent object is provided an object that is already persistent.
ezcPersistentRelationOperationNotSupportedException | Exception thrown, if the given relation class ćould not be found.
ezcPersistentQueryException | Exception thrown when a query failed internally in Persistent Object.
ezcPersistentDefinitionNotFoundException | General exception class for the PersistentObject package.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public void | `__construct( $message , [ $reason = null] )` Constructs a new ezcPersistentObjectException with error message $message and reason code $reason.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

void __construct( string $message , [string $reason = null] )

Constructs a new ezcPersistentObjectException with error message $message and reason code $reason.

Reason can be omitted if not applicable.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |
`$reason` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcPersistentIdentityMissingException::__construct()` | Creates a new ezcPersistentIdentityMissingException.
`ezcPersistentDefinitionMissingIdPropertyException::__construct()` | Constructs a new ezcPersistentDefinitionMissingIdPropertyException for the class $class.
`ezcPersistentIdentityAlreadyExistsException::__construct()` | Creates a new ezcPersistentIdentityAlreadyExistsException.
`ezcPersistentIdentityRelatedObjectsInconsistentException::__construct()` | Creates a new ezcPersistentIdentityRelatedObjectsInconsistentException.
`ezcPersistentRelationNotFoundException::__construct()` | Constructs a new ezcPersistentRelationNotFoundException for the class $class which does not have a relation for $relatedClass.
`ezcPersistentUndeterministicRelationException::__construct()` | Constructs a new ezcPersistentUndeterministicRelationException for the given relation class $class.
`ezcPersistentObjectNotPersistentException::__construct()` | Constructs a new ezcPersistentObjectNotPersistentException for the class $class.
`ezcPersistentIdentityRelatedObjectAlreadyExistsException::__construct()` | Creates a new ezcPersistentIdentityRelatedObjectAlreadyExistsException.
`ezcPersistentSessionNotFoundException::__construct()` | Constructs a new exception.
`ezcPersistentIdentifierGenerationException::__construct()` | Constructs a new ezcPersistentIdentifierGenerationException for the class $class with the optional message $msg.
`ezcPersistentRelationInvalidException::__construct()` | Constructs a new ezcPersistentRelationInvalidException for the given relation class $class.
`ezcPersistentInvalidObjectStateException::__construct()` | Creates a new exception.
`ezcPersistentRelatedObjectNotFoundException::__construct()` | Constructs a new ezcPersistentRelatedObjectNotFoundException for the object $object which does not have a relation for $relatedClass.
`ezcPersistentObjectAlreadyPersistentException::__construct()` | Constructs a new ezcPersistentObjectAlreadyPersistentException for the class $class.
`ezcPersistentRelationOperationNotSupportedException::__construct()` | Constructs a new ezcPersistentRelationOperationNotSupportedException for the $class which does not support the $operation in respect to $relatedClass. Optionally a $reason can be given.
`ezcPersistentQueryException::__construct()` | Constructs a new ezcPersistentQueryException with additional information in $msg.
`ezcPersistentObjectNotFoundException::__construct()` | Creates a new exception for the object of $class with $id.
`ezcPersistentDefinitionNotFoundException::__construct()` | Constructs a new ezcPersistentDefinitionNotFoundException for the class $class with the additional error information $message.

Documentation generated by phpDocumentor 1.4.3